Subject: FYI: More on duplicates in feeds: DoubleClick does ads the WRONG way!

From: "Bob Wyman" <[email-masked]>
Date: Mon, 2 May 2005 02:45:27 -0400

For yet another reason why aggregators deliver up duplicate entries,

See: http://bobwyman.pubsub.com/main/2005/05/rss_ads_done_th.html

Hopefully, Atom V1.0 will make it easier for us to isolate our users from
the impact of poorly designed advertising programs...

		bob wyman

---

From: Eric Scheid <[email-masked]>
Date: Mon, 02 May 2005 17:32:22 +1000

> the impact of poorly designed advertising programs...

look closer at the 'ord' value...

http://ad.doubleclick.net/jump/idg.us.idg.net.standard.rsstower/;pos=skyscra
per;tile=2;sz=160x600;ord=20050428170456

my, that does look like this:

    2005/04/28 17:04:56

They are inserting a timestamp. They don't really care that much about
tracking the 'ord' value. They *do* care about getting accurate counts of
'impressions'. 

Counting impressions is essential to their trade, and you'll find that it is
industry standard practice.

Sadly.

e.

---

From: James Aylett <[email-masked]>
Date: Mon, 2 May 2005 11:43:28 +0100

> my, that does look like this:

Indeed, ord= is a random number (usually calculated as a timestamp,
for convenience). Note that DCLK has a mechanism for when a dynamic
ord value cannot be calculated, which I imagine gets slightly
different processing at there end. (It's used for static embedded
tags.) ord=1, from memory.

> Counting impressions is essential to their trade, and you'll find
> that it is industry standard practice.

A couple of things I'd say about this:

 (1)	 this is broadly true :-)
 (2)	 but it's not that uncommon for people to need to track
	 static instances - consider, for instance emails; HTTP level
	 cache control is being used as well. There's no reason
	 RSS feeds can't be considered in this way.
 (3)	 that's a clickthrough URL (/jump/); the actual thing that
	 will change in content is the <IMG> /ad/ call, right after.
	 The ord value in both will change, and will always match.

So yes, Eric is right that they don't care about the ord value. Note
however that it's also possible to track other things through DCLK
(and other ad industry) tags, and the tag might be generated on the
fly based on all sorts of things that they sometimes do want to track.

James

-- 
/--------------------------------------------------------------------------\
  James Aylett                                                  xapian.org
  [email-masked]                               uncertaintydivision.org